-- Simple Plugin Test

-- You don't have to hook some stuff that you don't use
-- this is just an example plugin.

function OnThink() -- Think Hook (called every frame)
 
end

function OnChat(PlayerID, Type, Message, Target) -- called when a player types in chat.
 if Message == "!lua" then
  Console_Input("msg You're running LuaTT!")
 end
 return 1 -- to show chat
end

function OnPlayerJoin(PlayerID, Nick) -- called when a player joins
 Console_Input("msg Hello from LuaTT "..Get_Player_Name_By_ID(PlayerID).." !")
end

function UnloadingLua()
 
end

function OnLevelLoaded() -- called when a new level has been loaded

end

function OnPlayerLeave(PlayerID) -- called when a player leaves

end

function OnHostMessage(PlayerID, Type, Message) -- called when a host message is sent.

end

function OnGameOver() -- called when a map ends

end

function OnCharacterPurchase(Purchaser, Cost, Preset, PurchaserRet) -- called when someone purchases a character
 
end

function OnVehiclePurchase(Purchaser, Cost, Preset, PurchaserRet) -- called when someone purchases a vehicle
 send_to_bot("H "..serialize("OnVehiclePurchase("..Purchaser..", "..Cost..", "..Preset..", "..PurchaserRet..")"));
end

function RadioHook(PlayerType, PlayerID, AnnouncementID, IconID, AnnouncementType) -- called when someone sends a radio command, like 'I need repairs!'

end

function OnPowerupPurchase(Purchaser, Cost, Preset, PurchaserRet) -- called when someone purchases a beacon
 
end

function OnConsoleOutput(Message) -- called when a message appears on FDS' screen.

end

function OnObjectCreate(Object) -- called when a new object is created.

end

function OnKilled(obj, shooter) -- called when an object gets killed
 
end

function OnDestroyed(obj) -- called when an object gets destroyed
 
end

function CustomHook(obj, message, param, sender) -- called when an object gets called with a message

end

function DamageHook(obj, damager, damage) -- called when an object gets damaged

end

function TTDamageHook(damager, target, weap_name, weap_warhead, bone) -- called when an object gets damaged (only TT players)
 
end

function ConnectionAcceptance(name, ip, serial, version) -- called when someone loads to join ingame, return 'CONTINUE' to let him in.
 
 return "CONTINUE"
end

